from core.Monitor import Monitor
from bots.fishing.FishingAgent import FishingAgent

class MainAgent:
  def __init__(self) -> None:
    self.monitor = Monitor()
    self.fishingBot = FishingAgent(self.monitor)

  def startFishBot(self):
    self.monitor.startScreenCaptureThread()
    self.fishingBot.run()


